import request from '@/utils/request'

// 查询印章列表
export function listSeal(query) {
  return request({
    url: '/bpm/oa-stamp-seal/page',
    method: 'get',
    params: query
  })
}

// 获取印章精简信息列表
export function listSimpleSeals() {
  return request({
    url: '/bpm/oa-stamp-seal/list',
    method: 'get'
  })
}

// 查询印章详细
export function getSeal(SealId) {
  return request({
    url: '/bpm/oa-stamp-seal/get?id=' + SealId,
    method: 'get'
  })
}

// 新增印章
export function addSeal(data) {
  return request({
    url: '/bpm/oa-stamp-seal/create',
    method: 'Seal',
    data: data
  })
}

// 修改印章
export function updateSeal(data) {
  return request({
    url: '/bpm/oa-stamp-seal/update',
    method: 'put',
    data: data
  })
}

// 删除印章
export function delSeal(SealId) {
  return request({
    url: '/bpm/oa-stamp-seal/delete?id=' + SealId,
    method: 'delete'
  })
}

// 导出印章
export function exportSeal(query) {
  return request({
    url: '/bpm/oa-stamp-seal/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
